fop 1.1

## org.apache.fop.render.ps
Class ImageEncoderPNG

    java.lang.Object
      org.apache.fop.render.ps.ImageEncoderPNG

All Implemented Interfaces:
  org.apache.xmlgraphics.ps.ImageEncoder

    public class ImageEncoderPNG

extends java.lang.Object
implements org.apache.xmlgraphics.ps.ImageEncoder

ImageEncoder implementation for PNG images.

Constructor Summary
`ImageEncoderPNG(org.apache.xmlgraphics.image.loader.impl.ImageRawPNG image)` Main constructor

Method Summary
`java.lang.String` `getImplicitFilter()`
`void` `writeTo(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageEncoderPNG

    public ImageEncoderPNG(org.apache.xmlgraphics.image.loader.impl.ImageRawPNG image)

  Main constructor

  Parameters:
    `image` - the PNG image

Method Detail

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Specified by:
    `writeTo` in interface `org.apache.xmlgraphics.ps.ImageEncoder`
  Throws:
    `java.io.IOException`

### getImplicitFilter

    public java.lang.String getImplicitFilter()

  Specified by:
    `getImplicitFilter` in interface `org.apache.xmlgraphics.ps.ImageEncoder`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.